Package org.linphone.core

# Interface ConferenceListener

All Known Implementing Classes:
  `ConferenceListenerStub`

public interface ConferenceListener
An object to handle the callbacks for the handling a `Conference`
objects.
Use `Factory#createConferenceCbs` to create an instance. Then pass the
object to a `Conference` instance through `Conference.addListener(org.linphone.core.ConferenceListener)`.

## Method Summary

Modifier and Type
Method
Description
`void`
`onActiveSpeakerParticipantDevice(Conference conference, ParticipantDevice participantDevice)`
Get the actively speaking participant device callback.
`void`
`onAllowedParticipantListChanged(Conference conference)`
Get the allowed participant list changed callback.
`void`
`onAudioDeviceChanged(Conference conference, AudioDevice audioDevice)`
Get the audio device changed callback.
`void`
`onAvailableMediaChanged(Conference conference)`
Get the available media changed callback.
`void`
`onFullStateReceived(Conference conference)`
Get the full state received callback.
`void`
`onOperationFailed(Conference conference)`
Get the leave failed callback.
`void`
`onParticipantAdded(Conference conference, Participant participant)`
Get the participant added callback.
`void`
`onParticipantAdminStatusChanged(Conference conference, Participant participant)`
Get the participant admin status changed callback.
`void`
`onParticipantDeviceAdded(Conference conference, ParticipantDevice participantDevice)`
Get the participant device added callback.
`void`
`onParticipantDeviceIsMuted(Conference conference, ParticipantDevice participantDevice, boolean isMuted)`
Get the participant device is muted callback.
`void`
`onParticipantDeviceIsSpeakingChanged(Conference conference, ParticipantDevice participantDevice, boolean isSpeaking)`
Get the participant device is speaking changed callback.
`void`
`onParticipantDeviceJoiningRequest(Conference conference, ParticipantDevice participantDevice)`
Get the participant device joining request callback.
`void`
`onParticipantDeviceMediaAvailabilityChanged(Conference conference, ParticipantDevice device)`
Get the participant device media availability changed callback.
`void`
`onParticipantDeviceMediaCapabilityChanged(Conference conference, ParticipantDevice device)`
Get the participant device media capabilities changed callback.
`void`
`onParticipantDeviceRemoved(Conference conference, ParticipantDevice participantDevice)`
Get the participant device removed callback.
`void`
`onParticipantDeviceScreenSharingChanged(Conference conference, ParticipantDevice device, boolean enabled)`
Get the participant device is screen sharing changed callback.
`void`
`onParticipantDeviceStateChanged(Conference conference, ParticipantDevice device, ParticipantDevice.State state)`
Get the participant device state changed callback.
`void`
`onParticipantRemoved(Conference conference, Participant participant)`
Get the participant removed callback.
`void`
`onParticipantRoleChanged(Conference conference, Participant participant)`
Get the participant role changed callback.
`void`
`onStateChanged(Conference conference, Conference.State newState)`
Get the state changed callback.
`void`
`onSubjectChanged(Conference conference, String subject)`
Get the subject changed callback.

## Method Details

### onAllowedParticipantListChanged

void onAllowedParticipantListChanged(@NonNull Conference conference)
Get the allowed participant list changed callback.

### onParticipantAdded

void onParticipantAdded(@NonNull Conference conference, @NonNull Participant participant)
Get the participant added callback.

### onParticipantRemoved

void onParticipantRemoved(@NonNull Conference conference, @NonNull Participant participant)
Get the participant removed callback.

### onParticipantDeviceAdded

void onParticipantDeviceAdded(@NonNull Conference conference, @NonNull ParticipantDevice participantDevice)
Get the participant device added callback.

### onParticipantDeviceRemoved

void onParticipantDeviceRemoved(@NonNull Conference conference, @NonNull ParticipantDevice participantDevice)
Get the participant device removed callback.

### onParticipantDeviceJoiningRequest

void onParticipantDeviceJoiningRequest(@NonNull Conference conference, @NonNull ParticipantDevice participantDevice)
Get the participant device joining request callback.

### onParticipantRoleChanged

void onParticipantRoleChanged(@NonNull Conference conference, @NonNull Participant participant)
Get the participant role changed callback.

### onParticipantAdminStatusChanged

void onParticipantAdminStatusChanged(@NonNull Conference conference, @NonNull Participant participant)
Get the participant admin status changed callback.

### onParticipantDeviceStateChanged

void onParticipantDeviceStateChanged(@NonNull Conference conference, @NonNull ParticipantDevice device, ParticipantDevice.State state)
Get the participant device state changed callback.

### onParticipantDeviceScreenSharingChanged

void onParticipantDeviceScreenSharingChanged(@NonNull Conference conference, @NonNull ParticipantDevice device, boolean enabled)
Get the participant device is screen sharing changed callback.

### onParticipantDeviceMediaAvailabilityChanged

void onParticipantDeviceMediaAvailabilityChanged(@NonNull Conference conference, @NonNull ParticipantDevice device)
Get the participant device media availability changed callback.

### onParticipantDeviceMediaCapabilityChanged

void onParticipantDeviceMediaCapabilityChanged(@NonNull Conference conference, @NonNull ParticipantDevice device)
Get the participant device media capabilities changed callback.

### onOperationFailed

void onOperationFailed(@NonNull Conference conference)
Get the leave failed callback.

### onStateChanged

void onStateChanged(@NonNull Conference conference, Conference.State newState)
Get the state changed callback.

### onAvailableMediaChanged

void onAvailableMediaChanged(@NonNull Conference conference)
Get the available media changed callback.

### onSubjectChanged

void onSubjectChanged(@NonNull Conference conference, @NonNull String subject)
Get the subject changed callback.

### onParticipantDeviceIsSpeakingChanged

void onParticipantDeviceIsSpeakingChanged(@NonNull Conference conference, @NonNull ParticipantDevice participantDevice, boolean isSpeaking)
Get the participant device is speaking changed callback.

### onParticipantDeviceIsMuted

void onParticipantDeviceIsMuted(@NonNull Conference conference, @NonNull ParticipantDevice participantDevice, boolean isMuted)
Get the participant device is muted callback.

### onAudioDeviceChanged

void onAudioDeviceChanged(@NonNull Conference conference, @NonNull AudioDevice audioDevice)
Get the audio device changed callback.

### onActiveSpeakerParticipantDevice

void onActiveSpeakerParticipantDevice(@NonNull Conference conference, @Nullable ParticipantDevice participantDevice)
Get the actively speaking participant device callback.

### onFullStateReceived

void onFullStateReceived(@NonNull Conference conference)
Get the full state received callback.